Subject: [Sigtran] RFC 4666 M3UA - Reg Request Message

From: "Bhandari, Jitin (Jitin)" <[email-masked]>
Date: Wed, 1 Nov 2006 14:41:40 -0500

Hello,

We looked into the RFC-4666 and now we have serious concerns regarding the routing key parameter for Registration Request Message.

Can anyone please provide us an explanation/background as why did we drop "Circuit Range List" parameter from the Routing Key Parameter description for RFC-4666?

Please refer Section 3.6.1 (RFC-3332) where this parameter was present and Section 3.6.1 for RFC-4666 where this parameter is removed.

CIC Resources are allocated dynamically in SS7 networks and provisioning of CIC resources changes quite often. Dynamic Registration procedure at M3UA is facilitating this flow through provisioning changes between MGC & SG. 

With the omission of this parameter from the Routing Key Definition in RFC-4666, we have limited the scope of Dynamic registration procedure and rather made it un-usable. The current parameters for Routing Key at Registration Request message can very well be defined via Static routing methods (via LM). CIC Range was a key parameter to this message.

Please explain the thoughts behind getting rid of this key parameter from "Routing Key" definition. 

Also, we acknowledge that the Dynamic registration procedure for RFC-3332 had its own limitation but getting rid of CIC Range parameter is only going to make Dynamic registration procedure un-usable.

Please comment.

-Jitin

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 1 Nov 2006 13:10:33 -0700

Jitin,

CIC and TID were only applicable to load distribution and not
routing and were therefore removed from the "routing" key.

See

 http://www.ietf.org/internet-drafts/draft-bidulock-sigtran-loadsel-04.txt

for a equivalent mechanism for controlling load distribution based
on CIC using a "load" key dynamically registered in the REG REQ.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Tolga Asveren" <[email-masked]>
Date: Wed, 1 Nov 2006 15:19:00 -0500

Jitin,

There were some concerns about how to handle ISUP group messages, e.g. how
to generate a unique answer in the SG etc..., and so CIC-range support in
dynamic registration was dropped. SSN had a similar fate.

One could argue that generating a unique answer for group messages in the SG
is an implementation dependent feature and does not require support from
on-the-wire protocol (and I am aware of some products which do exactly
this), no CIC support in dynamic registration is the current official
approach.

    Thanks,
    Tolga

> -----Original Message-----
> From: Bhandari, Jitin (Jitin) [mailto:[email-masked]]
> Sent: Wednesday, November 01, 2006 2:42 PM
> To: [email-masked]'
> Subject: [Sigtran] RFC 4666 M3UA - Reg Request Message
>
>
>
> Hello,
>
> We looked into the RFC-4666 and now we have serious concerns
> regarding the routing key parameter for Registration Request Message.
>
> Can anyone please provide us an explanation/background as why did
> we drop "Circuit Range List" parameter from the Routing Key
> Parameter description for RFC-4666?
>
> Please refer Section 3.6.1 (RFC-3332) where this parameter was
> present and Section 3.6.1 for RFC-4666 where this parameter is removed.
>
> CIC Resources are allocated dynamically in SS7 networks and
> provisioning of CIC resources changes quite often. Dynamic
> Registration procedure at M3UA is facilitating this flow through
> provisioning changes between MGC & SG.
>
> With the omission of this parameter from the Routing Key
> Definition in RFC-4666, we have limited the scope of Dynamic
> registration procedure and rather made it un-usable. The current
> parameters for Routing Key at Registration Request message can
> very well be defined via Static routing methods (via LM). CIC
> Range was a key parameter to this message.
>
> Also, we acknowledge that the Dynamic registration procedure for
> RFC-3332 had its own limitation but getting rid of CIC Range
> parameter is only going to make Dynamic registration procedure un-usable.
>
> Please comment.
>
> -Jitin
>
>

---

From: "Ilie Glib" <[email-masked]>
Date: Mon, 6 Nov 2006 19:02:53 +0100

Hello Brian,

In your loadsel draft you do not consider de-registering and
re-registering load selectors. Why?

Thank you in advance

/Ilie

-- 
Ilie

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 6 Nov 2006 12:44:08 -0700

Ilie,

In overloading the REG REQ and DEREG REQ messages to handle also
load selection, deregistering for the RC results in deregistering
for all load selections.  If you see a need to deregister for specific
load selections, it would be fairly easy to add a procedure for
including the load selector in the DEREG REQ message and, when included,
the DEREG REQ message would only apply to the load selection identified
in the included load selector.

--brian

Ilie Glib wrote:                          (Mon, 06 Nov 2006 19:02:53)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/